import { b as brandName, k as __vitePreload } from "./index.e61bf490.js";
import { at as defineAsyncComponent, r as ref, b as computed } from "./vendor.736b97b1.js";
const NavbarLayout = defineAsyncComponent(() => __vitePreload(() => import("./AppLayout.53b12523.js"), true ? ["assets/AppLayout.53b12523.js","assets/AppLayout.051eba33.css","assets/index.e61bf490.js","assets/index.53e00c2c.css","assets/vendor.736b97b1.js","assets/VIconButton.8806f70b.js","assets/VAvatar.d1b93860.js","assets/VControl.9ba30bca.js","assets/VControl.243637c8.css","assets/VField.8fd215d2.js","assets/VModal.f8175747.js","assets/VModal.d8de09e0.css","assets/VPlaceloadText.4a0fbd6e.js","assets/VDropdown.9046b4bf.js","assets/VDropdown.cf5f0efd.css","assets/VIcon.41d39c44.js","assets/mesaService.79c06e69.js","assets/masterService.0c4693f8.js"] : void 0));
const NavbarDropdownLayout = defineAsyncComponent(() => __vitePreload(() => import("./AppLayout.53b12523.js"), true ? ["assets/AppLayout.53b12523.js","assets/AppLayout.051eba33.css","assets/index.e61bf490.js","assets/index.53e00c2c.css","assets/vendor.736b97b1.js","assets/VIconButton.8806f70b.js","assets/VAvatar.d1b93860.js","assets/VControl.9ba30bca.js","assets/VControl.243637c8.css","assets/VField.8fd215d2.js","assets/VModal.f8175747.js","assets/VModal.d8de09e0.css","assets/VPlaceloadText.4a0fbd6e.js","assets/VDropdown.9046b4bf.js","assets/VDropdown.cf5f0efd.css","assets/VIcon.41d39c44.js","assets/mesaService.79c06e69.js","assets/masterService.0c4693f8.js"] : void 0));
const NavbarSearchLayout = defineAsyncComponent(() => __vitePreload(() => import("./AppLayout.53b12523.js"), true ? ["assets/AppLayout.53b12523.js","assets/AppLayout.051eba33.css","assets/index.e61bf490.js","assets/index.53e00c2c.css","assets/vendor.736b97b1.js","assets/VIconButton.8806f70b.js","assets/VAvatar.d1b93860.js","assets/VControl.9ba30bca.js","assets/VControl.243637c8.css","assets/VField.8fd215d2.js","assets/VModal.f8175747.js","assets/VModal.d8de09e0.css","assets/VPlaceloadText.4a0fbd6e.js","assets/VDropdown.9046b4bf.js","assets/VDropdown.cf5f0efd.css","assets/VIcon.41d39c44.js","assets/mesaService.79c06e69.js","assets/masterService.0c4693f8.js"] : void 0));
const layoutsComponents = {
  "navbar-default": NavbarLayout,
  "navbar-fade": NavbarLayout,
  "navbar-colored": NavbarLayout,
  "navbar-dropdown": NavbarDropdownLayout,
  "navbar-dropdown-colored": NavbarDropdownLayout,
  "navbar-clean": NavbarSearchLayout,
  "navbar-clean-center": NavbarSearchLayout,
  "navbar-clean-fade": NavbarSearchLayout
};
const navbarLayoutId = ref("navbar-default");
computed(() => {
  return layoutsComponents[navbarLayoutId.value] || NavbarLayout;
});
computed(() => {
  switch (navbarLayoutId.value) {
    case "navbar-fade":
    case "navbar-clean-fade":
      return "fade";
    case "navbar-colored":
    case "navbar-dropdown-colored":
      return "colored";
    case "navbar-clean-center":
      return "center";
    default:
      return "default";
  }
});
const pageTitle = computed(() => brandName.value);
export { pageTitle as p };
